Package twisted :: Package lore :: Module latex :: Class BookLatexSpitter

[show private | hide private]
[frames | no frames]

## Class BookLatexSpitter

    BaseLatexSpitter --+
                       |
            LatexSpitter --+
                           |
                          BookLatexSpitter

Method Summary
| `__init__(self, writer, currDir, filename)` (inherited from `BaseLatexSpitter`)
| `convert_dia(self, src, target)` (inherited from `LatexSpitter`)
| `convert_png(self, src, target)` (inherited from `LatexSpitter`)
| `visitNode(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_a(self, node)`
| `visitNode_a_chapter(self, node)`
| `visitNode_a_href(self, node)` (inherited from `LatexSpitter`)
| `visitNode_a_listing(self, node)` (inherited from `LatexSpitter`)
| `visitNode_a_name(self, node)` (inherited from `LatexSpitter`)
| `visitNode_a_sect(self, node)`
| `visitNode_body(self, node)`
| `visitNode_code(self, node)` (inherited from `LatexSpitter`)
| `visitNode_div(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_h1(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_h2(self, node)` (inherited from `LatexSpitter`)
| `visitNode_h3(self, node)` (inherited from `LatexSpitter`)
| `visitNode_h4(self, node)` (inherited from `LatexSpitter`)
| `visitNode_head(self, node)` (inherited from `LatexSpitter`)
| `visitNode_img(self, node)` (inherited from `LatexSpitter`)
| `visitNode_link(self, node)`
| `visitNode_link_author(self, node)`
| `visitNode_link_stylesheet(self, node)`
| `visitNode_pre(self, node)` (inherited from `LatexSpitter`)
| `visitNode_span(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_span_footnote(self, node)` (inherited from `LatexSpitter`)
| `visitNode_style(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_table(self, node)` (inherited from `LatexSpitter`)
| `visitNodeDefault(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNodeHeader(self, node)` (inherited from `LatexSpitter`)
| `writeNodeData(self, node)` (inherited from `LatexSpitter`)

Class Variable Summary
`str` | `end_li`
`str` | `end_ul`
`str` | `start_body`
`str` | `start_html`
`str` | `start_li`
`str` | `start_ul`

Class Variable Details

### end_li

  Type:
    `str`
  Value:

        ''

### end_ul

  Type:
    `str`
  Value:

        ''

### start_body

  Type:
    `str`
  Value:

        '''\\begin{document}
        \\maketitle
        \\tableofcontents
        '''

### start_html

  Type:
    `str`
  Value:

        '''\\documentclass[oneside]{book}
        \\usepackage{graphicx}
        \\usepackage{times,mathptmx}
        '''

### start_li

  Type:
    `str`
  Value:

        ''

### start_ul

  Type:
    `str`
  Value:

        ''

Generated by Epydoc 1.1 on Thu May 8 13:18:30 2003 | http://epydoc.sf.net